Package com.independentsoft.office.odf.forms

# Class XFormsModel

java.lang.Object
com.independentsoft.office.odf.forms.XFormsModel

All Implemented Interfaces:
  `IOfficeFormsContent`, `IContentElement`

public class XFormsModel extends Object implements IOfficeFormsContent
Represents the form logic plus form data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XFormsModel()`
  Initializes a new instance of the XFormsModel class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `XFormsModel`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current XFormsModel object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XFormsModel

    public XFormsModel()
    Initializes a new instance of the XFormsModel class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public XFormsModel clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IOfficeFormsContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current XFormsModel object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string